Jifty::Script::Env(3)

NAME
Jifty::Script::Env - access the Jifty environment

SYNOPSIS
    jifty env <Class> <method> [arguments]

    jifty env  Util share_root
    jifty env 'Util->share_root'
    jifty env  Util.share_root

DESCRIPTION
Loads Jifty and your configuration, allowing you to verify and examine your setup.

Loads Jifty::Class and calls method on it, providing shortcuts for things like:

  perl -MJifty::Util -e 'print Jifty::Util->share_root, "\n";'

The class and method can be combined with a '->' But, unquoted '>' is a redirect so simply use the '-' or '.' characters.

  jifty env  Util share_root
  jifty env 'Util->share_root'
  jifty env  Util.share_root

You may chain accessors. A leading dot also means the class is Jifty.

  jifty env Jifty.config.framework ApplicationName
  jifty env .config.framework ApplicationName

With no arguments, acts as '"jifty env Jifty.config.stash"'.

  options
This script has no specific options now. Maybe it will have some command lines options in the future.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

METHODS

  run
Prints whatever the user asked for.